# Method: gaugeModels.get

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/get#body.request_body)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/gaugeModels/get#body.response_body)

Get the current hydrological model metadata for a given gauge.

### HTTP request

`GET https://floodforecasting.googleapis.com/v1/{name=gaugeModels/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The gauge model name to retrieve. Name format: gaugeModels/{gaugeId}. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/flood-forecasting/rest/v1/gaugeModels#GaugeModel`.